#
# spec file for package pidgin (Version 2.6.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pidgin
Summary:        GTK+-Based Multiprotocol Instant Messaging Client
Version:        2.6.1
Release:        1
License:        GPL v2 or later
Group:          Productivity/Networking/Instant Messenger
Url:            http://www.pidgin.im/
Source:         http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
Source1:        pidgin-NLD-smiley-theme.tar.bz2
Source2:        pidgin-Tango-smiley-theme.tar.bz2
Patch1:         pidgin-gnome-keyring.patch
# PATCH-NEEDS-REBASE
Patch2:         pidgin-nonblock-aim.patch
Patch3:         pidgin-nonblock-common.patch
Patch4:         pidgin-nonblock-gwim.patch
Patch5:         pidgin-nonblock-common2.patch
Patch9:         includes.patch
# PATCH-FIX-UPSTREAM: pidgin-directconn-argfix.patch
Patch11:        pidgin-directconn-argfix.patch
Patch12:        pidgin-dbus-invalid-gpointer.patch
# PATCH-FIX-OPENSUSE pidgin-browser-default.patch bnc472219 sbrabec@suse.cz - Use xdg-open as default browser.
Patch13:        pidgin-browser-default.patch
# Can use external libzephyr
BuildRequires:  cyrus-sasl-devel
BuildRequires:  dbus-1-devel
BuildRequires:  doxygen
BuildRequires:  evolution-data-server-devel
BuildRequires:  farsight2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  graphviz
BuildRequires:  gtk-doc
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
BuildRequires:  libbonobo-devel
BuildRequires:  libidn-devel
BuildRequires:  libgadu-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
BuildRequires:  meanwhile-devel
BuildRequires:  mono-devel
BuildRequires:  mozilla-nspr-devel
BuildRequires:  mozilla-nss-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-certs
BuildRequires:  pam-devel
BuildRequires:  pcre-devel
BuildRequires:  python
BuildRequires:  sqlite-devel
BuildRequires:  startup-notification-devel
BuildRequires:  tk-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  NetworkManager-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  silc-toolkit-devel
BuildRequires:  fdupes libnotify-devel
%if %suse_version > 1030 || 0%{?opensuse_bs}
BuildRequires:  libavahi-glib-devel
%else
BuildRequires:  avahi-devel
%endif
Requires:       libpurple-lang = %{version}
Requires:       openssl-certs
Requires:       perl-base = %{perl_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Existed before 10.3:
Obsoletes:      gaim <= 1.5.0
# Has never been in SuSE:
Obsoletes:      gaim-applet
# Was only in the Build Service after 10.2:
Obsoletes:      gaim-unstable < 2.0.0
Provides:       gaim
%gconf_schemas_prereq

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ,
IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and Zephyr.
These protocols are implemented using a modular, easy to use design. To
use a protocol, just add an account using the account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as Perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package devel
License:        GPL v2 or later
#'
Summary:        Development Headers, Documentation, and Libraries for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       %{name} = %{version} glib2-devel gtk2-devel libpurple-devel = %{version}

%package -n libpurple
License:        GPL v2 or later
Summary:        Library for IM Clients Like Pidgin and Finch
Group:          Productivity/Networking/Instant Messenger
# Not really required, but standard Jabber accounts require it, if compiled with SASL support.
Requires:       cyrus-sasl-digestmd5 cyrus-sasl-plain
Requires:       libpurple-lang = %{version}
# Needed for purple-url-handler:
Requires:       dbus-1-python
Requires:       perl = %{perl_version}
Requires:       openssl-certs

%package -n libpurple-devel
License:        GPL v2 or later
Summary:        Development Headers, Documentation, and Libraries for libpurple
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version} NetworkManager-devel NetworkManager-glib glib2-devel gnome-keyring-devel libxml2-devel
Requires:       pkg-config
Provides:       gaim-devel = %{version}
Obsoletes:      gaim-devel <= 1.5.0
Provides:       gaim-unstable-devel = %{version}
Obsoletes:      gaim-unstable-devel < 2.0.0

%package -n libpurple-meanwhile
License:        GPL v2 or later
Summary:        Lotus Sametime Plugin for Pidgin Using the Meanwhile Library
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}

%package -n libpurple-mono
License:        GPL v2 or later
Summary:        Mono .NET Plugin Support for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}

%package -n libpurple-tcl
License:        GPL v2 or later
Summary:        TCL Plugin Support for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
Supplements:    packageand(libpurple:tcl)

%package -n finch
License:        GPL v2 or later
Summary:        Text-Based User Interface for Pidgin Instant Messaging Client
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
Obsoletes:      gaim-unstable-text < 2.0.0
Provides:       gaim-unstable-text

%package -n finch-devel
License:        GPL v2 or later
Summary:        Headers etc. for finch Stuffs
Group:          Productivity/Networking/Instant Messenger
Requires:       finch = %{version} glib2-devel glibc-devel libpurple-devel = %{version} ncurses-devel
Requires:       pkg-config
Obsoletes:      gaim-unstable-text-devel

%description devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple
based instant messaging clients or plugins for any libpurple based
client.

%description -n libpurple-meanwhile
Lotus Sametime plugin for Pidgin using the Meanwhile library.

%description -n libpurple-mono
Mono plugin loader for Pidgin. This package will allow you to write or
use Pidgin plugins written in the .NET programming language.

%description -n libpurple-tcl
TCL plugin loader for Pidgin. This package will allow you to write or
use Pidgin plugins written in the TCL programming language.

%description -n finch
A text-based user interface for using libpurple.  This can be run from
a standard text console or from a terminal within X Windows.  It uses
ncurses and our homegrown gnt library for drawing windows and text.

%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.

%lang_package -n libpurple
%prep
%setup -q -a1 -a2
translation-update-upstream
%patch1 -p1
# FIXME: Port this patch:
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch9 -p1
%patch11 -p1
%patch12
%patch13
# Change Myanmar/Myanmar to Myanmar:
rename my_MM my po/my_MM.*
%{__sed} -i "/^ALL_LINGUAS/s/ my_MM / my /" configure.ac

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export FFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export LDFLAGS="-pie"
ACLOCAL="aclocal -I m4macros" autoreconf -f -i
intltoolize --force
%configure\
	--disable-static\
	--enable-plugins\
	--enable-cyrus-sasl\
	--enable-dbus=yes\
	--enable-mono=yes\
	--enable-gstreamer=yes\
	--enable-gnome-keyring=yes\
	--enable-nm=yes\
	--enable-dbus=yes\
	--enable-devhelp\
	--with-tclconfig=%{_libdir}\
	--with-tkconfig=%{_libdir}\
	--with-system-ssl-certs=/etc/ssl/certs
# Mono bindings sometimes fail with parallel build enabled in pidgin-2.5.5:
#%{__make} %{?jobs:-j%jobs}
%{__make}

%install
%{makeinstall}
%{perl_process_packlist}
%suse_update_desktop_file -N Pidgin -G "Instant Messenger" %{name}
%{__cp} -a NLD $RPM_BUILD_ROOT%{_datadir}/pixmaps/pidgin/emotes
%{__cp} -a Tango $RPM_BUILD_ROOT%{_datadir}/pixmaps/pidgin/emotes
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/*/*.la
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} -f $RPM_BUILD_ROOT%{_prefix}/lib/perl*/*/perllocal.pod
# FIXME: Should be nonversioned name:
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so && %{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so && %{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/libymsg.so && %{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/libymsg.so
find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec %{__rm} {} ';'
%find_lang %{name}
find $RPM_BUILD_ROOT%{_libdir}/purple-2 -xtype f -print | \
        %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
        %{__grep} -v /libsametime.so | \
        %{__grep} -v /mono.so | \
        %{__grep} -v /tcl.so | \
        %{__grep} -v ".dll$" > %{name}-%{version}-purpleplugins
find $RPM_BUILD_ROOT%{_libdir}/pidgin -maxdepth 1 -xtype f -print | \
        %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-pidginplugins
find $RPM_BUILD_ROOT%{_libdir}/finch -maxdepth 1 -xtype f -print | \
        %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-finchplugins
%find_gconf_schemas
%{__cat} %{name}.schemas_list %{name}-%{version}-pidginplugins >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%post -n libpurple -p /sbin/ldconfig

%postun -n libpurple -p /sbin/ldconfig

%post -n finch -p /sbin/ldconfig

%postun -n finch -p /sbin/ldconfig

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README README.MTN doc/the_penguin.txt
%dir %{_libdir}/pidgin
%{_libdir}/pidgin/perl
%{_bindir}/pidgin
%{_datadir}/pixmaps/pidgin
%{_datadir}/icons/hicolor/*/apps/pidgin.*
%{_datadir}/applications/*.desktop
%{_datadir}/sounds/purple
%doc %{_mandir}/man1/pidgin.*

%files devel
%defattr(-,root,root)
%{_includedir}/pidgin
%{_libdir}/pkgconfig/pidgin.pc
%doc %{_mandir}/man3/Pidgin.*

%files -n libpurple-lang -f %{name}.lang

%files -n libpurple -f %{name}-%{version}-purpleplugins
%defattr(-, root, root)
%doc libpurple/purple-notifications-example
%{_bindir}/purple-client-example
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-url-handler
%{_datadir}/purple
%{_libdir}/libpurple.so.*
%{_libdir}/libpurple-client.so.*
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/perl

%files -n libpurple-meanwhile
%defattr(-, root, root)
%{_libdir}/purple-2/libsametime.*
%ifnarch ppc64

%files -n libpurple-mono
%defattr(-, root, root)
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files -n libpurple-tcl
%defattr(-, root, root)
%{_libdir}/purple-2/tcl.so

%files -n libpurple-devel
%defattr(-, root, root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/libpurple
%{_datadir}/aclocal/purple.m4
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so
%{_libdir}/pkgconfig/purple.pc
%doc %{_mandir}/man3/Purple.*

%files -n finch -f %{name}-%{version}-finchplugins
%defattr(-, root, root)
%{_bindir}/finch
%{_libdir}/libgnt.so.*
%{_libdir}/gnt
%dir %{_libdir}/finch
%doc %{_mandir}/man1/finch.*

%files -n finch-devel
%defattr(-, root, root)
%{_includedir}/finch
%{_includedir}/gnt
%{_libdir}/libgnt.so
%{_libdir}/pkgconfig/finch.pc
%{_libdir}/pkgconfig/gnt.pc

%changelog
